Package net.sf.saxon.dom

## Class DOMSender

- java.lang.Object
- - net.sf.saxon.dom.DOMSender

-     public class DOMSender
      extends java.lang.Object

  DOMSender.java: pseudo-SAX driver for a DOM source document. This class takes an existing DOM Document and walks around it in a depth-first traversal, calling a Receiver to process the nodes as it does so

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.w3c.dom.Node` | `root` |
    `protected java.lang.String` | `systemId` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DOMSender​(org.w3c.dom.Node startNode, Receiver receiver)` | Create a DOMSender that will send events representing the nodes in a tree to a nominated receiver

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.w3c.dom.Node` | `getCurrentNode()` | While an event is being processed by the receiver, the DOM Node to which it relates is available as the value of currentNode
    `void` | `send()` | Walk a tree (traversing the nodes depth first).
    `void` | `setSystemId​(java.lang.String systemId)` | Set the systemId of the source document (which will also be used for the destination)

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### root

          protected org.w3c.dom.Node root

    - #### systemId

          protected java.lang.String systemId

  - ### Constructor Detail

    - #### DOMSender

          public DOMSender​(org.w3c.dom.Node startNode,
                           Receiver receiver)

      Create a DOMSender that will send events representing the nodes in a tree to a nominated receiver
      Parameters:
        `startNode` - the root node of the tree to be send. Usually a document or element node.
        `receiver` - the object to be notified of the resulting events. The supplied Receiver must be initialized with a PipelineConfiguration. The caller is responsible for opening and closing the Receiver.

  - ### Method Detail

    - #### setSystemId

          public void setSystemId​(java.lang.String systemId)

      Set the systemId of the source document (which will also be used for the destination)
      Parameters:
        `systemId` - the systemId of the source document

    - #### send

          public void send()
                    throws XPathException

      Walk a tree (traversing the nodes depth first).
      Throws:
        `java.lang.IllegalStateException` - if the start node is of a node kind other than document, document fragment, element, text, comment, or processing instruction (for example, if it is an attribute node).
        `XPathException` - On any error in the document

    - #### getCurrentNode

          public org.w3c.dom.Node getCurrentNode()

      While an event is being processed by the receiver, the DOM Node to which it relates is available as the value of currentNode
      Returns:
        the node currently being processed by the Receiver